#
#  libiodbc.spec
#
#  $Id: libiodbc.spec.in,v 1.14 2002/04/25 14:17:06 source Exp $
#
#  RPM specification file to build binary distribution set
#
#  The iODBC driver manager.
#  
#  Copyright (C) 1999-2002 by OpenLink Software <iodbc@openlinksw.com>
#  All Rights Reserved.
#
#  This software is released under the terms of either of the following
#  licenses:
#
#      - GNU Library General Public License (see LICENSE.LGPL) 
#      - The BSD License (see LICENSE.BSD).
#
#  While not mandated by the BSD license, any patches you make to the
#  iODBC source code may be contributed back into the iODBC project
#  at your discretion. Contributions will benefit the Open Source and
#  Data Access community as a whole. Submissions may be made at:
#
#      http://www.iodbc.org
#
#
#  GNU Library Generic Public License Version 2
#  ============================================
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Library General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Library General Public License for more details.
#
#  You should have received a copy of the GNU Library General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#
#  The BSD License
#  ===============
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#  3. Neither the name of OpenLink Software Inc. nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL OPENLINK OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
#  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
#  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
#  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
#  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# ----------------------------------------------------------------------
# BASE PACKAGE
# ----------------------------------------------------------------------
Summary: iODBC Driver Manager
name: libiodbc
version: 3.0.6
release: 1macchi_nox
Group: Libraries
Vendor: Ke Jin and OpenLink Software
Packager: OpenLink Software <iodbc@openlinksw.com>, Marco Ermini <linux@markoer.org>
Copyright: LGPL or BSD license (see "LICENSE" file included in distribution)
URL: http://www.iodbc.org/
Source: http://www.iodbc.org/dist/libiodbc-%{PACKAGE_VERSION}.tar.gz
Prefix: /usr
BuildRoot:/var/tmp/build-libiodbc-%{PACKAGE_VERSION}
AutoReqProv: no

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

The iODBC Driver Manager was originally created by Ke Jin and is 
currently maintained by OpenLink Software under an LGPL license.

%package devel
Summary: header files and libraries for iODBC development
Group: Development/Libraries
AutoReqProv: no
Requires: libiodbc

%description devel
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains the header files and libraries needed to develop
program that use the driver manager.

The iODBC Driver Manager was originally created by Ke Jin and is 
currently maintained by OpenLink Software under an LGPL license.

#%package admin
#Summary: GTK based administrator for iODBC development
#Group: Development/Libraries
#AutoReqProv: no
#Requires: libiodbc 
#
#%description admin
#The iODBC Driver Manager is a free implementation of the SAG CLI and
#ODBC compliant driver manager which allows developers to write ODBC
#compliant applications that can connect to various databases using
#appropriate backend drivers.
#
#This package contains a GTK based administrator program for maintaining
#DSN information in odbc.ini and odbcinst.ini files.
#
#The iODBC Driver Manager was originally created by Ke Jin and is 
#currently maintained by OpenLink Software under an LGPL license.

%prep
%setup
%build
CFLAGS="%{optflags}" ./configure --prefix=/usr --enable-odbc3 --with-iodbc-inidir=/etc --with-pthreads
make

%install
#rm -rf $RPM_BUILD_ROOT

#
#  Make sure we can find the necessary libraries
#
LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib
export LIBRARY_PATH

#
#  Install binaries, include files and libraries
#
make install prefix=$RPM_BUILD_ROOT/usr

#
#  Install the sample odbc.ini and odbcinst.ini files
#
mkdir -p $RPM_BUILD_ROOT/etc
install -m644 etc/odbc.ini.sample $RPM_BUILD_ROOT/etc/odbc.ini
install -m644 etc/odbcinst.ini.sample $RPM_BUILD_ROOT/etc/odbcinst.ini

%clean
#rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%attr(0755, root, root) /usr/lib/libiodbc.so.*
%attr(0755, root, root) /usr/lib/libiodbcinst.so.*
%attr(0644, root, root) %config /etc/odbc.ini
%attr(0644, root, root) %config /etc/odbcinst.ini
%attr(0755, root, root) /usr/bin/odbctest

%files devel
%attr(0644, root, root) %doc AUTHORS 
%attr(0644, root, root) %doc LICENSE
%attr(0644, root, root) %doc LICENSE.LGPL
%attr(0644, root, root) %doc LICENSE.BSD
%attr(0644, root, root) %doc ChangeLog 
%attr(0644, root, root) %doc NEWS 
%attr(0644, root, root) %doc README
%attr(0644, root, root) /usr/include/isql.h
%attr(0644, root, root) /usr/include/isqlext.h
%attr(0644, root, root) /usr/include/isqltypes.h
%attr(0644, root, root) /usr/include/sql.h
%attr(0644, root, root) /usr/include/sqlext.h
%attr(0644, root, root) /usr/include/sqltypes.h
%attr(0644, root, root) /usr/include/iodbcinst.h
%attr(0755, root, root) /usr/bin/iodbc-config
%attr(0644, root, root) /usr/lib/libiodbc.a
%attr(0644, root, root) /usr/lib/libiodbc.la
%attr(0755, root, root) /usr/lib/libiodbc.so
%attr(0644, root, root) /usr/lib/libiodbcinst.a
%attr(0644, root, root) /usr/lib/libiodbcinst.la
%attr(0755, root, root) /usr/lib/libiodbcinst.so

#%files admin
#%attr(0755, root, root) /usr/bin/iodbcadm-gtk
#%attr(0644, root, root) /usr/lib/libdrvproxy-gtk.a
#%attr(0644, root, root) /usr/lib/libdrvproxy-gtk.la
#%attr(0644, root, root) /usr/lib/libdrvproxy.a
#%attr(0644, root, root) /usr/lib/libdrvproxy.la
#%attr(0755, root, root) /usr/lib/libdrvproxy.so*
#%attr(0644, root, root) /usr/lib/libiodbcadm-gtk.a
#%attr(0644, root, root) /usr/lib/libiodbcadm-gtk.la
#%attr(0644, root, root) /usr/lib/libiodbcadm.a
#%attr(0644, root, root) /usr/lib/libiodbcadm.la
#%attr(0755, root, root) /usr/lib/libiodbcadm.so*
